// http://glslsandbox.com/e#60760.0


void mainImage(out vec4 fragColor, in vec2 fragCoord ){
	
	vec2 p = (fragCoord.xy * 2.0 - iResolution.xy) / min(iResolution.x, iResolution.y);
	vec3 color = vec3(0.0, 0.3, 0.5);
	
	float f = 0.0;
	float PI = 3.141592;
	for(float i = 0.0; i < 20.0; i++){
		
		float s = sin(iTime + i * PI / 20.0) * 0.8;
		float c = cos(iTime + i * PI / 20.0) * 0.8;
 
		f += 0.001 / (abs(p.x + c) * abs(p.y + s));
	}
	
	
	fragColor = vec4(vec3(f * color), 1.0);
}